{% extends "administration.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido_administracion %}
    <form method="post">{% csrf_token %}
    <div class="row clearfix">
    	<div class="row clearfix">
      	<div class="col-md-1 column"></div>
        <div class="col-md-2 column">
          <div class="row clearfix">
          	<div class="btn-toolbar" role="toolbar">
            	<div class="btn-group">
                <span class="glyphicon glyphicon-plus" data-toggle="modal" data-target="#ModalNewTypeOfPrize"></span>
              </div>
            </div>
          </div>
        </div>
        <div> {% if msg %} <font color="#FF0000">{{ msg }}</font> {% endif %} </div>
      </div>
      <div class="row clearfix">
      	<div class="col-md-1 column"></div>
        <div class="col-md-11 column">
          <div class="row clearfix">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>{% blocktrans %}Type of prize{% endblocktrans %}</th>
                  <th>{% blocktrans %}Description{% endblocktrans %}</th>
                  <th>{% blocktrans %}Default{% endblocktrans %}</th>
                  <th>{% blocktrans %}Cost{% endblocktrans %}</th>
                  <th>{% blocktrans %}Options{% endblocktrans %}</th>
                </tr>
              </thead>
              <tbody>
                {% for precio in lista_precios%}
                  <tr>
                    <td>{{precio.nombre}}</td>
                    <td>{{precio.descripcion}}</td>
                    <td>{% if precio.default %} Yes {% endif %}</td>
                    <td>{% if precio.cost %} Yes {% endif %}</td>
                    <td>
                      <span class="glyphicon glyphicon-pencil" data-toggle="modal" data-target="#ModalEditTypeOfPrize" onclick="
                        prize_copy_edit('{{precio.nombre}}','prize_edit_name','{{precio.descripcion}}','prize_edit_description','{{precio.nombre}}','prize_edit_name_temp');
                        check_out_box('prize_edit_default');
                        check_out_box('prize_edit_cost');
                        {% if precio.default %} check_in_box( 'prize_edit_default'); {% endif %}
                        {% if precio.cost %} check_in_box( 'prize_edit_cost'); {% endif %}
                      "></span>
                      <span class="glyphicon glyphicon-trash" data-toggle="modal" data-target="#ModalDeleteTypeOfPrize" onclick="var_to_var('{{precio.nombre}}','prize_variable_borrar');"></span>
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    </form>


    <!-- Modal -->
    <form method="post">{% csrf_token %}
    <div class="modal fade" id="ModalNewTypeOfPrize" tabindex="-1" role="dialog" aria-labelledby="myModalNewTypeOfPrize" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalNewTypeOfPrize">{% blocktrans %}New Type Of Prize{% endblocktrans %}</h4>
          </div>
          <div class="modal-body">
            <div class="row clearfix">
              <div class="col-md-2 column"></div>
              <div class="col-md-8 column">
                <small>{% blocktrans %}Name{% endblocktrans %}:</small>
                <input type="text" value="" placeholder="{% blocktrans %}Type of prize name{% endblocktrans %}" class="form-control" name="prize_name" autocomplete="off" required="">
                <small>{% blocktrans %}Description{% endblocktrans %}:</small>
                <textarea name="prize_description" class="form-control" rows="3" placeholder="{% blocktrans %}Add description...{% endblocktrans %}" required=""></textarea>
                <small>{% blocktrans %}Default Prize{% endblocktrans %}:</small>
                <input type="checkbox" name="prize_new_default"/><br />
                <small>{% blocktrans %}Cost Prize{% endblocktrans %}:</small>
                <input type="checkbox" name="prize_new_cost"/>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
            <button type="submit" class="btn btn-primary" name="prize_create">{% blocktrans %}Create{% endblocktrans %}</button>
          </div>
        </div>
      </div>
    </div>
    </form>

    <!-- Modal -->
    <form method="post">{% csrf_token %}
    <div class="modal fade" id="ModalDeleteTypeOfPrize" tabindex="-1" role="dialog" aria-labelledby="myModalDeleteTypeOfPrize" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalDeleteTypeOfPrize">{% blocktrans %}Delete Type Of Prize{% endblocktrans %}</h4>
          </div>
          <div class="modal-body">
            <div class="row clearfix">
              <div class="col-md-1 column"></div>
              <div class="col-md-11 column">
                <p>{% blocktrans %}Sure you want to delete the item?{% endblocktrans %}</p>
                <input id="prize_variable_borrar" name="prize_variable_borrar" type="text" value="" style="display:none;">
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
            <button type="submit" class="btn btn-primary" name="prize_delete">{% blocktrans %}Delete{% endblocktrans %}</button>
          </div>
        </div>
      </div>
    </div>
    </form>

    <!-- Modal -->
    <form method="post">{% csrf_token %}
    <div class="modal fade" id="ModalEditTypeOfPrize" tabindex="-1" role="dialog" aria-labelledby="myModalEditTypeOfPrize" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalEditTypeOfPrize">{% blocktrans %}Edit Type Of Prize{% endblocktrans %}</h4>
          </div>
          <div class="modal-body">
            <div class="row clearfix">
              <div class="col-md-2 column"></div>
              <div class="col-md-8 column">
                <small>{% blocktrans %}Name{% endblocktrans %}:</small>
                <input type="text" id="prize_edit_name" name="prize_edit_name" value="" placeholder="{% blocktrans %}Type of prize name{% endblocktrans %}" class="form-control" autocomplete="off">
                <input type="text" id="prize_edit_name_temp" name="prize_edit_name_temp" value="" style="display:none;">
                <small>{% blocktrans %}Description{% endblocktrans %}:</small>
                <textarea id="prize_edit_description" name="prize_edit_description" class="form-control" rows="3" placeholder="{% blocktrans %}Add description...{% endblocktrans %}"></textarea>
                <small>{% blocktrans %}Default Prize{% endblocktrans %}:</small>
                <input type="checkbox" name="prize_edit_default" id="prize_edit_default"/><br />
                <small>{% blocktrans %}Cost Prize{% endblocktrans %}:</small>
                <input type="checkbox" name="prize_edit_cost" id="prize_edit_cost"/>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
            <button type="submit" class="btn btn-primary" name="prize_edit">{% blocktrans %}Edit{% endblocktrans %}</button>
          </div>
        </div>
      </div>
    </div>
    </form>

   
{% endblock %}